### Method

# Gimp Drawable brightness_contrast

deprecated: 3.2 since: 2.10

#### Declaration [src]

    gboolean
    gimp_drawable_brightness_contrast (
      GimpDrawable* drawable,
      gdouble brightness,
      gdouble contrast
    )

#### Description [src]

Modify brightness/contrast in the specified drawable.

This procedures allows the brightness and contrast of the specified drawable to be modified. Both ‘brightness’ and ‘contrast’ parameters are defined between -1.0 and 1.0.

Available since: 2.10

Deprecated since: 3.2

Use filter “gimp:brightness-contrast” instead.

#### Parameters

`brightness`

  Type: `gdouble`

  Brightness adjustment.

`contrast`

  Type: `gdouble`

  Contrast adjustment.

#### Return value

Type: `gboolean`

TRUE on success.